import iexcode.instruments.cfg as iex

##############################################################################################################
##############################                 staff detectors                ##############################
##############################################################################################################


def staff_detector_dictionary():
    """
    returns a dictionary of the default detectors

    Previously: Detector_Default
    """
    det_dict={}
    diodes={
        15:"29idb:ca15:read"
        }
    slits_apertures={
        58:"29idb:Slit1Ht2.C",
        59:"29idb:Slit1Ht2.D",
        60:"29idb:Slit1Vt2.C",
        61:"29idb:Slit1Vt2.D",
        62:"29idb:Slit2Ht2.C",
        63:"29idb:Slit2Ht2.D",
        64:"29idb:Slit2Vt2.C",
        65:"29idb:Slit2Vt2.D",
        66:"29idb:Slit3CRBV",
        67:"29idb:Slit4Vt2.C"
        }
    vacuum_shutters={
        61:"29idb:VS1A.VAL",
        62:"29idb:VS2A.VAL",
        63:"29idb:VS3AB.VAL",
        64:"29idb:VS4B.VAL",
        65:"29idb:IP4B.VAL",
        66:"PA:29ID:SCS_BLOCKING_BEAM.VAL",
        67:"PA:29ID:SDS_BLOCKING_BEAM.VAL"
        }
    mono_details={
        68:"29idmono:ENERGY_SP",
        69:"29idmonoMIR:P.RBV",
        70:"29idmonoGRT:P.RBV"
        }
    det_dict.update(diodes)
    det_dict.update(slits_apertures)
    det_dict.update(mono_details)
    return det_dict


